package reti;

import java.net.*;
import java.io.*;

public class ISListEntry implements Serializable
{
	public ISListEntry(InetAddress address, int portnumber)
	{
		ip = address;
		porta = portnumber;
	}
	
	public InetAddress getIP()
	{ return ip; }
	
	public int getPort()
	{ return porta; }
	
	public String toString()
	{ return new String("IP: "+ip.getHostAddress()+"	PORTA: "+porta); }
	
	public boolean equals(Object o)
	{
		ISListEntry isle = (ISListEntry) o;
		return ( (getPort()==isle.getPort()) && (getIP().equals(isle.getIP())) );
	}
	
	private InetAddress ip;
	private int porta;
}