package reti;
import com.sun.image.codec.jpeg.*;
import java.awt.image.*;
import java.io.*;

public class ImageFeature implements Serializable
{
	public ImageFeature(File file_jpeg)
	{
		try {
			JPEGImageDecoder decoder = JPEGCodec.createJPEGDecoder(new FileInputStream(file_jpeg));
			BufferedImage img=decoder.decodeAsBufferedImage();
			name=new String(file_jpeg.getAbsolutePath());
			ch=new ColorHistogram(img);
		}
		catch (Exception e) 
		{System.out.println("ECCEZIONE in ImageFeature.ImageFeature"+ e.getMessage()); }
	}

	public String getName()
	{
		return name;
	}

	public ColorHistogram getColorHistogram()
	{
		return ch;
	}

	private String name=null;
	private ColorHistogram ch=null;
} 