package reti;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;

/** FINESTRA DI DIALOGO PER L'IMMISSIONE DEI PARAMETRI DI COMUNICAZIONE DEL MASTER SERVER */
public class MSFinestraIndirizzi extends JDialog implements ActionListener
{
	public MSFinestraIndirizzi()
	{
		super((JFrame)null,"INDIRIZZI:",true);
		Border etched = BorderFactory.createEtchedBorder();
		JPanel p1 = new JPanel();
		Border titled1 = BorderFactory.createTitledBorder(etched,"MASTER 1");
		p1.setBorder(titled1);
		portaClient = new JTextField("",7);
		portaServer = new JTextField("",7);
		p1.add(new JLabel("Porta per Client:"));
		p1.add(portaClient);
		p1.add(new JLabel("Porta per Server:"));
		p1.add(portaServer);
		JPanel p2 = new JPanel();
		Border titled2 = BorderFactory.createTitledBorder(etched,"MASTER 2");
		p2.setBorder(titled2);
		host2 = new JTextField("",15);
		port2 = new JTextField("",7);
		p2.add(new JLabel("Host:"));
		p2.add(host2);
		p2.add(new JLabel("Porta:"));
		p2.add(port2);
		JPanel p = new JPanel();
		p.setLayout(new GridLayout(2,1));
		p.add(p1);
		p.add(p2);
		JPanel p3 = new JPanel();
		okButton = new JButton("OK");
		okButton.addActionListener(this);
		p3.add(okButton);
		getContentPane().add(p,"Center");
		getContentPane().add(p3,"South");
		setSize(450,200);
	}

	public void actionPerformed(ActionEvent e)
	{
		Object source=e.getSource();
		if (source==okButton)
		{
			ok=true;
			setVisible(false);
		}
	}
	
	public boolean showDialog(MSConnectionInfo transfer)
	{
		host2.setText(transfer.hostMaster2);
		port2.setText(String.valueOf(transfer.portaMaster2));
		portaClient.setText(String.valueOf(transfer.portaClient));
		portaServer.setText(String.valueOf(transfer.portaServer));
		ok=false;
		show();
		if (ok)
			{
				transfer.hostMaster2=host2.getText();
				transfer.portaMaster2=Integer.parseInt(port2.getText());
				transfer.portaClient=Integer.parseInt(portaClient.getText());
				transfer.portaServer=Integer.parseInt(portaServer.getText());
			}
		return ok;
	}
	
	private boolean ok;
	private JTextField portaClient;
	private JTextField portaServer;
	private JTextField host2;
	private JTextField port2;
	private JButton okButton;
}